#include "automaton.cpp"

#include <stdio.h>

int main()
{
    FILE* f;

    int minSize = 5;
    int maxSize = 10;
    int maxPebbles = 100;
    int subproblem;

    f = fopen("automaton_covert_a8nh3.dat", "r");
    fscanf(f, "%d", &subproblem);
    fclose(f);

    f = fopen("automaton_covert_a8nh3.sol", "w");
    for (int size = minSize; size <= maxSize; size++)
        for (int row = 1; row <= size; row++)
            for (int column = 1; column <= size; column++)
                for (int pebbles = 1; pebbles <= 2 * maxPebbles; pebbles++)
                {
                    int top = 0, right = 0, bottom = 0, left = 0;
                    automaton(subproblem, size, row, column, pebbles, top, right, bottom, left);
                    fprintf(f, "%d %d %d %d\n", top, right, bottom, left);
                }
    fclose(f);

    return 0;
}
