{$I automaton.pas}

const a8nh3_minSize = 5;
      a8nh3_maxSize = 10;
      a8nh3_maxPebbles = 100;

var a8nh3_file: text;
    a8nh3_subproblem, a8nh3_size, a8nh3_row, a8nh3_column, a8nh3_pebbles, a8nh3_top, a8nh3_right, a8nh3_bottom, a8nh3_left: longint;

begin
    assign(a8nh3_file, 'automaton_covert_a8nh3.dat');
    reset(a8nh3_file);
    read(a8nh3_file, a8nh3_subproblem);
    close(a8nh3_file);

    assign(a8nh3_file, 'automaton_covert_a8nh3.sol');
    rewrite(a8nh3_file);
    for a8nh3_size := a8nh3_minSize to a8nh3_maxSize do
        for a8nh3_row := 1 to a8nh3_size do
            for a8nh3_column := 1 to a8nh3_size do
                for a8nh3_pebbles := 1 to 2 * a8nh3_maxPebbles do begin
                    a8nh3_top := 0;
                    a8nh3_right := 0;
                    a8nh3_bottom := 0;
                    a8nh3_left := 0;
                    automaton(a8nh3_subproblem, a8nh3_size, a8nh3_row, a8nh3_column, a8nh3_pebbles, a8nh3_top, a8nh3_right, a8nh3_bottom, a8nh3_left);
                    writeln(a8nh3_file, a8nh3_top, ' ', a8nh3_right, ' ', a8nh3_bottom, ' ', a8nh3_left);
                end;
    close(a8nh3_file);
end.
